#define MSG_LOGIN       1
#define MSG_LOGOUT      2
#define MSG_DATA        3
#define MSG_UINFO       4
#define MSG_NEWTASK     5
#define MSG_FINTASK     6
#define MSG_TASKINFO    7
#define MSG_INVPWD	8
#define MSG_ACK		9

struct date {
	char day, month, year;
};

struct msg_login {
	char name[20];
	char passwd[20];
};

struct msg_data {
	char data[128];
};

struct msg_uinfo {
	char name[20];
	int age;
	char designation[20];
	char department[20];
	char expertise[20];
};

struct taskinfo {
	long int id;
	struct date assign;
	char user[20];
	char priority;
	char task[255];
	char assignee[20];
	char status;
};

struct msg_newtask {
	struct taskinfo info;
};

struct msg_taskinfo {
	char hdr;
	struct taskinfo info;
};


struct msg_fintask {
	long int id;
};
